<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/communityHomeContainer"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/background">

    <ImageView
        android:id="@+id/topBg"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:scaleType="centerCrop"
        android:src="@drawable/bg_forum_home_top"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent" />

    <ImageView
        android:id="@+id/navigationBg"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintBottom_toBottomOf="@+id/tabContainer" />

    <com.gh.gamecenter.common.view.StatusBarView
        android:id="@+id/statusBar"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent" />

    <RelativeLayout
        android:id="@+id/tabContainer"
        android:layout_width="184dp"
        android:layout_height="52dp"
        android:paddingBottom="5dp"
        android:layout_marginLeft="4dp"
        app:layout_constraintTop_toBottomOf="@+id/statusBar"
        app:layout_constraintLeft_toLeftOf="parent">

        <com.gh.gamecenter.common.view.TabIndicatorView
            android:id="@+id/indicatorView"
            android:layout_width="match_parent"
            android:layout_height="8dp"
            android:layout_alignParentBottom="true"
            app:disableIndicatorScaling="true"
            app:indicatorDrawable="@drawable/ic_commodity_selected" />

        <com.google.android.material.tabs.TabLayout
            android:id="@+id/tabLayout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            app:tabMaxWidth="0dp"
            app:tabMinWidth="0dp"
            app:tabMode="scrollable"
            app:tabIndicator="@null"
            app:tabTextAppearance="@style/TabLayoutTextAppearance" />
    </RelativeLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/searchContainer"
        android:layout_below="@+id/statusBar"
        android:layout_toRightOf="@+id/tabContainer"
        android:layout_width="0dp"
        android:layout_height="28dp"
        android:layout_marginLeft="20dp"
        android:layout_marginRight="16dp"
        android:background="@drawable/bg_forum_home_search"
        app:layout_constraintTop_toTopOf="@+id/tabContainer"
        app:layout_constraintBottom_toBottomOf="@+id/tabContainer"
        app:layout_constraintLeft_toRightOf="@+id/tabContainer"
        app:layout_constraintRight_toRightOf="parent">

        <ImageView
            android:id="@+id/searchIv"
            android:layout_width="14dp"
            android:layout_height="14dp"
            android:layout_marginLeft="8dp"
            app:srcCompat="@drawable/toolbar_search_icon"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toBottomOf="parent" />

        <TextView
            android:id="@+id/searchTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="8dp"
            android:includeFontPadding="false"
            android:textColorHint="@color/text_body"
            android:textColor="@color/text_body"
            android:textSize="14sp"
            android:ellipsize="end"
            android:hint="搜索论坛内容"
            app:layout_constraintTop_toTopOf="@+id/searchIv"
            app:layout_constraintBottom_toBottomOf="@+id/searchIv"
            app:layout_constraintLeft_toRightOf="@+id/searchIv" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.viewpager.widget.ViewPager
        android:id="@+id/viewPager"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintTop_toBottomOf="@+id/tabContainer"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent" />

    <ImageView
        android:id="@+id/communityEditBtn"
        android:layout_width="64dp"
        android:layout_height="64dp"
        android:layout_alignParentRight="true"
        android:layout_alignParentBottom="true"
        android:layout_marginRight="8dp"
        android:layout_marginBottom="62dp"
        android:src="@drawable/community_edit_icon"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintBottom_toBottomOf="parent" />
</androidx.constraintlayout.widget.ConstraintLayout>